Type to search.

Set instance configuration

  • PUT /platform/configuration/instances/{id}
Auth

Creates or updates an instance configuration.

Path parameters

id string required

ID of the instance configuration

Query parameters

version integer

This is a database-level field, not related to the application-level 'config_version', except as described in the following docs. If specified, checks for conflicts against 'x-cloud-resource-version' from the GET request (where the 'config_version' in the GET should match the the 'configuration_version' in the PUT body if the IC is configuration controlled).

config_control boolean

If true, then an update that changes immutable fields will create a new version of the IC (leaving the previous ones accessible via 'config_version'). Otherwise such updates will fail.

test_config boolean

If true, The IC is added as a test version (set 'instance_config_version': -1 in the deployment request to reference), leaving the existing IC alone. Will error if the IC doesn't already exist.

strict_mode boolean

If true, then allocator_filter and storage_multiplier cannot be changed in an existing IC. Defaults to false unless config_control is true (in which case a new version is created)

create_only boolean

If true, will fail if an instance configuration already exists at the given id

Request body

the Instance Configuration

id string

Unique identifier for the instance configuration

name string required

Display name for the instance configuration.

config_version integer · format: int32

If the IC is configuration controlled, this field is the version either being read back (reads return the latest IC unless specified by the 'config_version' URL param), or the version to update. Cannot be used in creates. For unversioned IC reads it is left empty.

description string

Optional description for the instance configuration

instance_type enum

The type of instance. For instance configurations where the type is specified in the 'id', the default value of 'instance_type' will be automatically inferred.

Values: elasticsearch kibana apm integrations_server appsearch enterprise_search
node_types string[]

Node types (master, data) for the instance. For instance configurations where the type (and tier) is specified in the 'id', the default value of 'node_types' will be automatically inferred.

discrete_sizes object required

Instance sizes that are supported by the Elasticsearch instance, Kibana instance, or APM Server configuration.

sizes integer[] · format: int32 required

List of supported sizes

default_size integer · format: int32

The default size

resource enum

The unit that each size represents. If not specified, it will default to 'memory'.

Values: memory storage
storage_multiplier number · format: double

Settings for the instance storage multiplier

deleted_on string · format: date-time

Date/time that this instance configuration was marked for deletion

system_owned boolean

Indicates if a instance configuration is system owned (restricts the set of operations that can be performed on it)

metadata object

Optional arbitrary metadata to associate with this template.

cpu_multiplier number · format: double

Settings for the instance CPU multiplier

allowed_zones string[]

The zones this instance configuration may exist in. Leaving out this parameter or specifying an empty list implies all zones are allowed. Normally not needed, but can be useful for exceptional infrastructure constraints.

Responses

The instance configuration was updated successfully.

application/octet-stream
id string required

The ID

config_version object

The version, if the entity is configuration controlled

config_version_updated object

Returns true if the update resulted in a new version of the configuration controlled entity